Backup (SQLite Java Wrapper)
Keywords: SQLite.Backup class

Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SQLite
Class Backup

    java.lang.Object
      SQLite.Backup

public class Backup
extends Object

Class wrapping an SQLite backup object.

Field Summary
`protected long` | `handle` Internal handle for the native SQLite API.

Constructor Summary
`Backup()`

Method Summary
`protected void` | `_finalize()`
`private int` | `_pagecount()`
`private int` | `_remaining()`
`private boolean` | `_step(int n)`
`void` | `backup()` Perform the backup in one step.
`protected void` | `finalize()` Destructor for object.
`protected void` | `finish()` Finish a backup.
`private static void` | `internal_init()` Internal native initializer.
`int` | `pagecount()` Return the total number of pages in the backup source database.
`int` | `remaining()` Return number of remaining pages to be backed up.
`boolean` | `step(int n)` Perform a backup step.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handle

    protected long handle

  Internal handle for the native SQLite API.

Constructor Detail

### Backup

    public Backup()

Method Detail

### _finalize

    protected void _finalize()
                      throws Exception

  Throws:
    `Exception`

### _pagecount

    private int _pagecount()
                    throws Exception

  Throws:
    `Exception`

### _remaining

    private int _remaining()
                    throws Exception

  Throws:
    `Exception`

### _step

    private boolean _step(int n)
                   throws Exception

  Throws:
    `Exception`

### backup

    public void backup()
                throws Exception

  Perform the backup in one step.

  Throws:
    `Exception`

### finalize

    protected void finalize()

  Destructor for object.

### finish

    protected void finish()
                   throws Exception

  Finish a backup.

  Throws:
    `Exception`

### internal_init

    private static void internal_init()

  Internal native initializer.

### pagecount

    public int pagecount()
                  throws Exception

  Return the total number of pages in the backup source database.

  Throws:
    `Exception`

### remaining

    public int remaining()
                  throws Exception

  Return number of remaining pages to be backed up.

  Throws:
    `Exception`

### step

    public boolean step(int n)
                 throws Exception

  Perform a backup step.

  Parameters:
    `n` - number of pages to backup
  Returns:
    true when backup completed
  Throws:
    `Exception`

Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Contact: Christian Werner